import request from '@/utils/request';

/**
 * 统一查询接口
 * @param queryParams
 */
export function getQueryList(queryParams: any) {
  return request({
    url: '/api/api/query',
    method: 'post',
    data: queryParams,
  });
}

export function getQueryPageList(queryParams: any) {
  return request({
    url: '/api/api/queryPage',
    method: 'post',
    data: queryParams,
  });
}

export function getQueryAccountKBList(queryParams: any) {
  return request({
    url: '/api/api/queryPageAccountKB',
    method: 'post',
    data: queryParams,
  });
}

export function getQueryAccountPageList(queryParams: any) {
  return request({
    url: '/api/api/queryPageAccount',
    method: 'post',
    data: queryParams,
  });
}

/**
 * 统一解析bpel接口
 * @param ChangeParams
 */
export function BpelEvent(ChangeParams: any) {
  return request({
    url: '/api/bpel/event',
    method: 'post',
    data: ChangeParams,
  });
}

/**
 * 统一解析bpel接口
 * @param ChangeParams
 */
export function bpelAuxiliary(ChangeParams: any) {
  return request({
    url: '/api/Auxiliary/AuxiliaryIssuance',
    method: 'post',
    data: ChangeParams,
  });
}


export function AuxiliaryReserve(ChangeParams: any) {
  return request({
    url: '/api/api/Auxiliary/auxiliaryAssign',
    method: 'post',
    data: ChangeParams,
  });
}

export function AuxiliaryDessign(ChangeParams: any) {
  return request({
    url: '/api/api/Auxiliary/auxiliaryDessign',
    method: 'post',
    data: ChangeParams,
  });
}

export function dessiginBoxByAct(ChangeParams: any) {
  return request({
    url: '/api/MaterialReceiveAct/dessiginBoxByAct',
    method: 'post',
    data: ChangeParams,
  });
}


export function MoveTransform(ChangeParams: any) {
  return request({
    url: '/api/api/MoveTransform/MoveTransform',
    method: 'post',
    data: ChangeParams,
  });
}

export function MaturationLibraryToERP(ChangeParams: any) {
  return request({
    url: '/api/MaturationLibrary/ToERP',
    method: 'post',
    data: ChangeParams,
  });
}

export function updateCAREER_ASSISTANCE(queryParams: any) {
  return request({
    url: '/api/MaturationLibrary/updateCAREER_ASSISTANCE',
    method: 'post',
    data: queryParams,
  });
}

export function undoCommit(queryParams: any) {
  return request({
    url: '/api/api/MaterialUndo/commitUndo',
    method: 'post',
    data: queryParams,
  });
}

export function allocateStockInCommit(data: any) {
  return request({
    url: '/api/AllocateStockIn/commit',
    method: 'post',
    data: data,
  });
}

export function auxiliaryStockOut(ChangeParams: any) {
  return request({
    url: '/api/api/Auxiliary/auxiliaryStockOut',
    method: 'post',
    data: ChangeParams,
  });
}